GuideLab API

List notifications

Retrieve paginated notifications for the current user within their active organization. Supports cursor-based pagination and filtering by unread status. Available to both labs and clinics.

GET
/notifications

Retrieve paginated notifications for the current user within their active organization. Supports cursor-based pagination and filtering by unread status. Available to both labs and clinics.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

limit?string

Max items to return (1-50, default 20)

before?string

Cursor: notification ID to paginate before

unreadOnly?string

Set to 'true' to return only unread notifications

Response Body

application/json

curl -X GET "https://example.com/notifications"
{  "data": [    {      "id": "string",      "userId": "string",      "organizationId": "string",      "type": "string",      "title": "string",      "body": "string",      "data": null,      "readAt": "string",      "createdAt": "string"    }  ],  "unreadCount": 0,  "hasMore": true}
Empty